package com.gic.haoban.manage.web.vo.potential;

import com.gic.clerk.api.dto.ClerkDTO;
import lombok.Data;

import java.util.Date;

/**
 * Created by wangzubo on 2025/3/22.
 */
@Data
public class PotentialOverviewVO {

    /**
     * 建联数据
     */
    private PotentialContactOverviewVO contact;

    /**
     * 转化数据
     */
    private PotentialConvOverviewVO conv;


    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 导购code
     */
    private String clerkCode;

    /**
     * 导购名称
     */
    private String clerkName;

    /**
     * 导购头像
     */
    private String imageUrl;

    public void setClerk(ClerkDTO clerkDTO) {
        if (clerkDTO == null) {
            return;
        }
        this.clerkId = clerkDTO.getClerkId();
        this.clerkCode = clerkDTO.getClerkCode();
        this.clerkName = clerkDTO.getClerkName();
        this.imageUrl = clerkDTO.getImageUrl();
    }
}
